package net.wanji.databus.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * 信号机临时方案下发VO
 *
 * @author zhouleilei
 * @date 2024/11/4 16:14:27
 */
@Data
@Builder
public class TempSchemeSendVO {

    @ApiModelProperty(value = "路口编号", notes = "路口编号")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    @NotBlank(message = "路口编号不可为空")
    private String crossCode;

    @ApiModelProperty(value = "基础方案号", notes = "优化的基础方案号，该方案号需在信号机提前配置")
    @NotBlank(message = "基础方案号")
    private String pattern;

    @ApiModelProperty(value = "周期长", notes = "需要优化的周期长，单位秒")
    @NotBlank(message = "周期长")
    private String cycle;
}
